unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, EditableCtrlHolder;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    CheckBox1: TCheckBox;
    ComboBox1: TComboBox;
    EditableCtrlHolder1: TEditableCtrlHolder;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
   i: byte;
   VR: TValidateResult;
begin
   VR := vrOk;
   with EditableCtrlHolder1 do
   try
   for i := 0 to Items.Count -1 do begin
      VR := Items[i].ValidateEntry;
      if not (VR = vrOk) then
         abort;
   end;
   showmessage('Ok, all is valid');
   except
      showmessage(Format('pb on %s: %s', [Items[i].WinControl.Name, Items[i].GetValidateMessage(VR)]));
      Items[i].WinControl.SetFocus;
   end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
   i: byte;
   IsModified: boolean;
begin
   with EditableCtrlHolder1 do
   for i := 0 to Items.Count -1 do begin
      IsModified := Items[i].IsModifiedEntry;
      showmessage(Format('for %s: IsModified = %d', [Items[i].WinControl.Name, integer(Items[i].IsModifiedEntry)]));
   end;
end;

end.
